Skip to content
Docs

Create a Team

POSThttps://api.vercel.com/v1/teams
Create a new Team under your account. You need to send a POST request with the desired Team slug, and optionally the Team name.
https://api.vercel.com/v1/teams
const response = await fetch('https://api.vercel.com/v1/teams', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"slug": "a-random-team",
"name": "A Random Team",
"attribution": {
"sessionReferrer": "string",
"landingPage": "string",
"pageBeforeConversionPage": "string",
"utm": {
"utmSource": "string",
"utmMedium": "string",
"utmCampaign": "string",
"utmTerm": "string"
}
}
}),
});
const data = await response.json();
console.log(data);
Response
{
"id": "team_nLlpyC6RE1qxqglFKbrMxlud",
"slug": "string"
}
AuthorizationbearerToken

Default authentication mechanism

application/json
slugstringRequired
The desired slug for the Team
namestringOptional
The desired name for the Team. It will be generated from the provided slug if nothing is provided
attributionobjectOptional
Attribution information for the session or current page
200The team was created successfully
idstringRequired
Id of the created team
slugstringRequired
400One of the provided values in the request body is invalid. The slug is already in use
403You do not have permission to access this resource.
404Error
410Error